com.collabnet.ce.soap60.webservices.cemain

## Class VersionInformationSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.VersionInformationSoapRow

-     public class VersionInformationSoapRow
      extends Object

  VersionInformationList is used to return a list of ids, versions, and dates of last modification for all contents of a folder.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionInformationSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Returns 'id'.
    `boolean` | `getIsFolder()` Returns 'isFolder'.
    `Date` | `getLastModifiedDate()` Returns 'lastModifiedDate'.
    `int` | `getVersion()` Returns 'version'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setIsFolder(boolean isFolder)` Sets 'isFolder'.
    `void` | `setLastModifiedDate(Date lastModifiedDate)` Sets 'lastModifiedDate'.
    `void` | `setVersion(int version)` Sets 'version'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionInformationSoapRow

          public VersionInformationSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. The id of the object
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. The id of the object
      Parameters:
        `id` - Value of 'id'.

    - #### getIsFolder

          public boolean getIsFolder()

      Returns 'isFolder'. true if this object is a folder
      Returns:
        Value of 'isFolder'.

    - #### setIsFolder

          public void setIsFolder(boolean isFolder)

      Sets 'isFolder'. true if this object is a folder
      Parameters:
        `isFolder` - Value of 'isFolder'.

    - #### getVersion

          public int getVersion()

      Returns 'version'. The version of the object
      Returns:
        Value of 'version'.

    - #### setVersion

          public void setVersion(int version)

      Sets 'version'. The version of the object
      Parameters:
        `version` - Value of 'version'.

    - #### getLastModifiedDate

          public Date getLastModifiedDate()

      Returns 'lastModifiedDate'. The date the object was last modified
      Returns:
        Value of 'lastModifiedDate'.

    - #### setLastModifiedDate

          public void setLastModifiedDate(Date lastModifiedDate)

      Sets 'lastModifiedDate'. The date the object was last modified
      Parameters:
        `lastModifiedDate` - Value of 'lastModifiedDate'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.